Transações
GET /merchant/transactions → 200
Seção intitulada “GET /merchant/transactions → 200”Requer scope READ_TRANSACTIONS. Lista as transações (sub-transações de pagamento) da empresa dona da chave, da mais recente para a mais antiga (paginação por cursor — ver seção 5).
Query:
| Campo | Tipo | Obrigatório | Regras / Default |
|---|---|---|---|
q | string | não | busca em ID da transação e nome/e-mail/documento do cliente |
status | enum EnStatusTransaction | não | PENDING | PROCESSING | PAID | CONFIRMED | REFUNDED | PARTIALLY_REFUNDED | CANCELED | FAILED | EXPIRED |
statusGroup | enum | não | all | completed | pending | processing | failed | refunded — ignorado se status for informado |
paymentMethod | enum EnPaymentMethod | não | PIX | CARD_CREDIT | CARD_DEBIT | BOLETO | PIX_WITHDRAW |
providerCode | string | não | código do PSP |
minAmountCents / maxAmountCents | int | não | faixa de valor, em centavos |
minFeeCents / maxFeeCents | int | não | faixa de taxa, em centavos |
startDate / endDate | string (ISO 8601) | não | filtra por created_at |
limit | int | não | máx 100, default 50 |
cursor | string | não | cursor opaco da página seguinte |
Resposta (200):
{ "items": [ { "id": "uuid", "transactionId": "string", "companyId": "uuid", "companyName": "string", "customerName": "Maria Souza", "customerEmail": "maria@example.com", "customerDocument": "12345678909", "amountCents": 14990, "feeCents": 450, "netAmountCents": 14540, "paymentMethod": "PIX", "status": "PAID", "subIntegration": "API_DIRECT", "providerCode": "BEMPAGGO", "providerName": "Bempaggo", "createdAt": "2026-07-16T12:00:00.000Z", "paidAt": "2026-07-16T12:03:00.000Z" } ], "nextCursor": null, "hasMore": false}Exemplo — transações pagas em uma faixa de valor:
curl -s https://goldpay-goldpay-api.f0czp0.easypanel.host/api/merchant/transactions \ -H "X-Api-Key: <SECRET_KEY>" \ --get \ --data-urlencode "status=PAID" \ --data-urlencode "minAmountCents=10000" \ --data-urlencode "limit=50"